// grid3vw.h : interface of the CGrid3View class
//
/////////////////////////////////////////////////////////////////////////////
#include <Gridview.h>
class CGrid3View : public CGridView
{
protected: // create from serialization only
	CGrid3View();
	DECLARE_DYNCREATE(CGrid3View)

// Attributes
public:
	CGrid3Doc* GetDocument();

// Operations
public:

// Implementation
public:
	void OnInitialUpdate();
	virtual ~CGrid3View();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	void DrawGridCell(CDC* pDC, DWORD RowColNdx, CRect& DrawRect, CRect& TextRect);

protected:

	// Printing support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Generated message map functions
protected:
	//{{AFX_MSG(CGrid3View)
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnViewOptions();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in grid3vw.cpp
inline CGrid3Doc* CGrid3View::GetDocument()
   { return (CGrid3Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
